Skip to main content
`Ctrl`+`K`

# DMSwarmCollectViewCreate

Applies a collection method and gathers points in neighbour ranks into the `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCollectViewCreate(DM dm)

Collective

## Input Parameter

- dm - the `DMSWARM`

## Notes

Users should call `DMSwarmCollectViewDestroy()` after they have finished computations associated with the collected points

Different collect methods are supported. See `DMSwarmSetCollectType()`.

## Developer Note

Create and Destroy routines create new objects that can get destroyed, they do not change the state of the current object.

## See Also

`DM`, `DMSWARM`, `DMSwarmCollectViewDestroy()`, `DMSwarmSetCollectType()`

## Level

advanced

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/dm/tutorials/swarm_ex1.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages